GET /v1/treasury/received_credits

stripe.com

Summary:
Operation ID: GetTreasuryReceivedCredits
Auth: unknown
Description

<p>Returns a list of ReceivedCredits.</p>

Parameters (7)

ending_before (string, query, optional)

A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

Constraints: {'maxLength': 5000}

expand (array, query, optional)

Specifies which fields in the response should be expanded.

financial_account (string, query, required)

The FinancialAccount that received the funds.

limit (integer, query, optional)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

linked_flows (object, query, optional)

Only return ReceivedCredits described by the flow.

starting_after (string, query, optional)

A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

Constraints: {'maxLength': 5000}

status (string, query, optional)

Only return ReceivedCredits that have the given status: `succeeded` or `failed`.

Constraints: {'enum': ['failed', 'succeeded']}

No probe data for this endpoint yet.